Package org.apache.batchee.jaxb

## Class Property

- java.lang.Object
- - org.apache.batchee.jaxb.Property

-     public class Property
      extends Object

  Java class for Property complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Property">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `name` |
    `protected String` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Property()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Gets the value of the name property.
    `String` | `getValue()` | Gets the value of the value property.
    `void` | `setName​(String value)` | Sets the value of the name property.
    `void` | `setValue​(String value)` | Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### value

          protected String value

  - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName​(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue​(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`